<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
include ("fphp.php");
$enlace=cargar_conexion();
$fec1=crear_fecha($_POST['fec1']);
$query='';
if ($_POST['nomina']!="") $query.="and personal.nomina='".substr($_POST['nomina'],0,3)."' ";
if ($_POST['gerencia']!="") $query.="and personal.gerencia='".substr($_POST['gerencia'],0,4)."' ";
if ($_POST['division']!="") $query.="and personal.division='".substr($_POST['division'],0,4)."' ";
if ($_POST['departamento']!="") $query.="and personal.departamento='".substr($_POST['departamento'],0,4)."' ";
$_POST['titulo']="Vacaciones Colectivas del Período: ".$fec1;
		
$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
if (mysqli_num_rows($consulta)!=0){
		$row=mysqli_fetch_array($consulta);
		$_POST['pie']=$row['pie'];
		$_POST['encabeza']=$row['encabeza'];
		$_POST['empresal']=$row['nombre'];
		$_POST['empresa']=substr($_POST['nomina'],6,100);
}   
$_POST['periodo']=$periodo.' - '.$desperiodo;

require('fpdf.php');
class PDF extends FPDF {
function Header()
{
		$this->Image($_SESSION['logo_validar'],10,10,20,20);
		$this->SetFont('arial','',12);
		$this->Ln(2);
		$this->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R'); 
		$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
		$this->Ln(10);
		$this->SetFont('arial','',10);
		$this->Cell(0,5,'Fecha: '.hoy(),0,1,'L');
		$this->Cell(0,5,'Hora: '.hora(),0,1,'L');
		$this->SetFont('arial','B',12); 
		$this->Cell(0,0,$_POST['titulo'],0,1,'C');$this->Ln(5);
			
		$this->SetFillColor(255,0,0);
		$this->SetTextColor(255);
		$this->SetDrawColor(128,0,0);
		$this->SetLineWidth(.3);
		$this->SetFont('','');
		$this->SetFont('arial','B',8);
			
		$header=array('#','C.I','Nombres y Apellidos','Monto Bs.');
		$w=array(10,30,80,70);
		for($i=0;$i<count($header);$i++)
			$this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		$this->Ln();
		$this->SetFillColor(224,235,255);
		$this->SetTextColor(0);
		$this->SetFont('');
}
function Footer()
{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Usuario: '.$_POST['usuario'].' - Página '.$this->PageNo().'/{nb} - Derechos: '.$_POST['derecho'],0,0,'C');
}
}
		
//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
$pdf->AddPage();
$pdf->AliasNbPages();
$pdf->SetFont('Arial','',8);
$pdf->SetFillColor(224,235,255);
$pdf->SetTextColor(0);
$linea=0;
$color=0;
$tsalsur=0;
$consultax="select vacacion.cedula from vacacion,personal where personal.id='".$_SESSION['id_validar']."' and vacacion.id='".$_SESSION['id_validar']."' and vacacion.cedula=personal.codigo and vacacion.fdesde='".$fec1."' $query ";
$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
while ($rowx=mysqli_fetch_array($resultadox)) {
		
		$linea++;
			
		$cedula = $rowx['cedula'];
		$consulta="select vacacion.*, personal.nomina, personal.cargo, personal.departamento, personal.smes, personal.fechai, personal.nombres, personal.nombres1, personal.apellidos, personal.apellidos1 from vacacion,personal where personal.id='".$_SESSION['id_validar']."' and vacacion.cedula=personal.codigo and vacacion.cedula= '".$cedula."'";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$row = mysqli_fetch_array($resultado);
		$_POST['subtitulo']='Período: '.$row['periodo'];
		$desde=$row['fdesde'];
		$hasta=$row['fhasta'];
		$final=$row['reintegro'];
		$tipo=$row['tip'];
		$otros=$row['tdias'];
		$ddias=$row['ddias'];
				
		$fecha1 = mostrar_fecha($row['fdesde']);
		$fecha2 = mostrar_fecha($row['fhasta']);
		$reintegro = mostrar_fecha($row['reintegro']);
		$fechai = mostrar_fecha($row['fechai']);

		$sal=$row['sueldo']/30;
		$dia=$row['antiguedad'];
		$ext=($row['antiguedad']>=2?$row['antiguedad']-1:0);
		$ext2=($row['antiguedad']>=1?$row['antiguedad']:0);
				
		$sso = $sal*7*0.04* $row['isso'];
		$rpe = $sal*7*0.005* $row['isso'];
		$rpvh = $sal*7*0.01* ($tipo==1?3:4);
				
		$dias = $row['dvac']+$row['dbon']+$ext+$ext2+$otros;
		$ded=$sso+$rpe+$rpvh;
		$netop=0;
		
		if ($row['icol']==1 && $row['imes']>0) {
			$netox = ( $sal*($row['dvac']+$row['dbon']) )/12;
			$netop = ( $netox ) * (12-$row['imes']);
		}

		$neto = ($sal*$dias)-$ded-$netop;
		$tsalsur +=$neto;
		
		$header=array('#','C.I','Nombres y Apellidos','Monto Bs.');
		$w=array(10,30,80,70);

		$pdf->cell(10,5,$linea,0,0,'',$color);
		$pdf->cell(30,5,$cedula,0,0,'',$color);
		$pdf->cell(80,5,trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'],0,0,'L',$color);
		$pdf->cell(70,5,number_format($neto,2),0,1,'R',$color);
		
}			
		
$pdf->Cell(190,0,'',1,1,'C'); $pdf->ln(1); 
$pdf->Cell(190,0,'',1,1,'C'); 
$pdf->cell(120,5,"Sub Total Bs......",0,0,'R',$color);
$pdf->cell(70,5,number_format($tsalsur,2),0,1,'R',$color);
$pdf->Output();

?>